#ifndef POPUPS_POPUP_H
#define POPUPS_POPUP_H

#include <pland/syscall.h>

struct popup {
  _window_handle_t handle;
  _pixel_t *pixbuf;

  bool has_quit;
  struct key_packet quit_as;

  //terminated by one with .key_id == 0
  const struct key_packet *quit_binds;
};

void handle_actions(struct popup *p);
//deletes popup before returning
void make_modal(struct popup *p);
void delete_popup(struct popup *p);

#endif